import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { TwilioSettingsSelectObjectSchema as TwilioSettingsSelectObjectSchema } from './TwilioSettingsSelect.schema';
import { TwilioSettingsIncludeObjectSchema as TwilioSettingsIncludeObjectSchema } from './TwilioSettingsInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => TwilioSettingsSelectObjectSchema).optional(),
  include: z.lazy(() => TwilioSettingsIncludeObjectSchema).optional()
}).strict();
export const TwilioSettingsArgsObjectSchema = makeSchema();
export const TwilioSettingsArgsObjectZodSchema = makeSchema();
